org.jfree.data.time

## Interface TimePeriod

All Superinterfaces:
  java.lang.Comparable

All Known Implementing Classes:
  Day, FixedMillisecond, Hour, Millisecond, Minute, Month, Quarter, RegularTimePeriod, Second, SimpleTimePeriod, Week, Year

    public interface TimePeriod
    extends java.lang.Comparable

A period of time measured to millisecond precision using two instances of `java.util.Date`.

### Method Summary

Methods
`java.util.Date` `getEnd()` Returns the end date/time.
`java.util.Date` `getStart()` Returns the start date/time.

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Method Detail

#### getStart

    java.util.Date getStart()

Returns the start date/time. This will always be on or before the end date.

Returns:
  The start date/time (never `null`).

#### getEnd

    java.util.Date getEnd()

Returns the end date/time. This will always be on or after the start date.

Returns:
  The end date/time (never `null`).